boost::geometry::util::calculation_type::geometric::unary< Geometry, CalculationType, DefaultFloatingPointCalculationType, DefaultIntegralCalculationType > Struct Template Reference

List of all members.

## Public Types

typedef detail::calculation_type < typename geometry::coordinate_type < Geometry >::type, CalculationType, DefaultFloatingPointCalculationType, DefaultIntegralCalculationType > ::type | type

### template<typename Geometry, typename CalculationType, typename DefaultFloatingPointCalculationType = double, typename DefaultIntegralCalculationType = detail::default_integral::type>
struct boost::geometry::util::calculation_type::geometric::unary< Geometry, CalculationType, DefaultFloatingPointCalculationType, DefaultIntegralCalculationType >

## Member Typedef Documentation

template<typename Geometry , typename CalculationType , typename DefaultFloatingPointCalculationType = double, typename DefaultIntegralCalculationType = detail::default_integral::type>

typedef detail::calculation_type< typename geometry::coordinate_type<Geometry>::type, CalculationType, DefaultFloatingPointCalculationType, DefaultIntegralCalculationType >::type boost::geometry::util::calculation_type::geometric::unary< Geometry, CalculationType, DefaultFloatingPointCalculationType, DefaultIntegralCalculationType >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK